%global pypi_name jaraco.test
%global pkg_name jaraco-test

# Not all test dependencies are available yet
%bcond_with tests
%bcond_with docs

Name:           python-%{pkg_name}
Version:        5.4.0
Release:        %mkrel 1
Summary:        Testing support by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.test
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(virtualenv)

%if %{with tests}
BuildRequires:       python3dist(pytest)
BuildRequires:       python3dist(pytest-cov)
BuildRequires:       python3-path
BuildRequires:       python3dist(pytest-checkdocs)
BuildRequires:       python3dist(pytest-flake8)
BuildRequires:       python3dist(pytest-black-multipy)
%endif


%description
Testing support by jaraco.

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-path
Requires:       python3-jaraco

%description -n python3-%{pkg_name}
Testing support by jaraco.

%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        jaraco-test documentation
Group:          Development/Python
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(jaraco-packaging)
BuildRequires:  python3dist(rst-linker)

%description -n python-%{pkg_name}-doc
Documentation for jaraco-test
%endif

%prep
%autosetup -n jaraco.test-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove path dependency as to not
# automatically generate requires metadata.
# path does not provide the python3dist namespace
sed -i '/path/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files jaraco
%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{pkg_name}  -f %{pyproject_files}
%license LICENSE
%doc README.rst

%if %{with docs}
%files -n python-%{pkg_name}-doc
%doc html
%license LICENSE
%endif


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 5.4.0-1.mga10
+ Revision: 2077592
- new version 5.4.0

* Wed Dec 27 2023 daviddavid <daviddavid> 5.1.0-2.mga10
+ Revision: 2022125
- rebuild for py3.12

* Thu Sep 08 2022 neoclust <neoclust> 5.1.0-1.mga9
+ Revision: 1885908
- imported package python-jaraco-test

